/*!
    \file spatial_separation.h
    \brief Definition of the generic spatial separation of model data

 */

#ifndef _SPATIAL_SEPARATION_H
#define _SPATIAL_SEPARATION_H

#include "base_object.h"


class AbstractModel;
class Quadtree;


//! A class for spatial separation of vertices based arrays
class SpatialSeparation : public BaseObject {

  public:
    SpatialSeparation();
    virtual ~SpatialSeparation();

    Quadtree* createQuadtree(AbstractModel* model);


  private:
    AbstractModel*             model;


};

#endif /* _SPATIAL_SEPARATION_H */
